Last Comment Bug 111968 - No Outlook Data when set up as a Corporate/WorkGroup Client.
: No Outlook Data when set up as a Corporate/WorkGroup Client.
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Address Book & Contacts (show other bugs)
: Trunk
: x86 All
-- normal (vote)
: Future
Assigned To: John Marmion
: Ninoschka Baca
:
Mentors:
Depends on: 118119
Blocks: 127848 127879
  Show dependency treegraph
 
Reported: 2001-11-26 09:09 PST by John Marmion
Modified: 2004-11-22 17:25 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to enable Outlook data in Corporate/WorkGroup mode (491 bytes, patch)
2002-02-14 10:53 PST, John Marmion
no flags Details | Diff | Splinter Review
keep patch up-to-date against trunk (493 bytes, patch)
2002-07-03 09:18 PDT, John Marmion
rdayal: review+
sspitzer: superreview+
Details | Diff | Splinter Review

Description User image John Marmion 2001-11-26 09:09:29 PST
The bug 78931 fix allows Mozilla to access Outlook(MAPI) Address Book Data.
While no UI exists to turn this feature on (see bug 83100) it can be enabled by
manually editing the prefs.js file. But if Outlook is configured as a
Corporate/WorkGroup Client attached to an MS Exchange Server rather than as an
Internet only Client then the current implementation in Mozilla fails to

a. retreive Outlook Address Book data
b. Run Advanced queries as outlined in bug 83023 and
c. Update Outlook Address Book Data

The only functionality currently working in both Outlook modes is 'Deleting of
Address Book Entries'.

The import feature works correctly in both modes.
Comment 1 User image John Marmion 2002-02-14 10:53:38 PST
Created attachment 69492 [details] [diff] [review]
Patch to enable Outlook data in Corporate/WorkGroup mode

This patch will enable Outlook data in Mozilla when Outlook is configured in
Corporate/WorkGroup mode. In order to verify this patch, the patch for bug
#118119 will need to be applied. There are other related issues to updating of
Outlook data in this mode, but I will spin up a separate bug for that.
Comment 2 User image John Marmion 2002-07-03 09:18:35 PDT
Created attachment 90087 [details] [diff] [review]
keep patch up-to-date against trunk

no content change but patch offsets need updating. I will chase a review on
this patch today.
Comment 3 User image John Marmion 2002-08-21 08:25:12 PDT
Taking ownership. Still waiting on a response to my request for a review. I
understand that Rajiv (rdayal@netscape.com) will hopefully deal with it. 
Comment 4 User image Rajiv Dayal 2002-09-11 17:30:05 PDT
For attachment (id=90087):

-     if (values [i].ulPropTag == aPropertyTags [i]) {
+     if (PROP_ID(values [i].ulPropTag) == PROP_ID(aPropertyTags [i])) {

It seems like it doesn't matter what the PROP_TYPE of aPropertyTags is, if the
PROP_ID matches, return the property's value. Assuming this is the case r=rdayal.
Comment 5 User image John Marmion 2002-09-12 03:20:46 PDT
Yes, thanks Rajiv for your time, the assumption is correct. The property tags
returned in the two different Outlook configuration modes have the same
identifier (PROP_ID) but different type (PROP_TYPE).
Comment 6 User image (not reading, please use seth@sspitzer.org instead) 2002-09-13 08:35:41 PDT
Comment on attachment 90087 [details] [diff] [review]
keep patch up-to-date against trunk

sr=sspitzer
Comment 7 User image John Marmion 2002-09-18 02:08:08 PDT
This fix is checked into the tree. Thanks to all who contributed to this. I have
verified that this works by testing against the Windows nightly build 1.2a
20020917. To enable Outlook in the Mozilla address book, you need to manually
edit the preferences file. see http://abzilla.mozdev.org

Note You need to log in before you can comment on or make changes to this bug.